import io.izzel.taboolib.gradle.*
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile


plugins {
    java
    id("io.izzel.taboolib") version "2.0.22"
    id("org.jetbrains.kotlin.jvm") version "1.8.22"
}

taboolib {
    env {
        install(Basic)
        install(Bukkit)
        install(BukkitUI)
        install(MinecraftChat)
        install(MinecraftEffect)
        install(CommandHelper)
    }
    description {
        name = "SpecialSkills"
        contributors {
            name("thehrz")
        }
    }
    version { taboolib = "6.2.3" }
}

repositories {
    mavenCentral()
    maven("https://repo.md-5.net/content/groups/public/")
}

dependencies {
    compileOnly("ink.ptms.core:v12100:12100:mapped")
    compileOnly("ink.ptms.core:v12100:12100:universal")
    implementation("me.libraryaddict.disguises:libsdisguises:11.0.0")

    compileOnly(kotlin("stdlib"))
    compileOnly(fileTree("libs"))
}

tasks.withType<JavaCompile> {
    options.encoding = "UTF-8"
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
        freeCompilerArgs = listOf("-Xjvm-default=all")
    }
}

configure<JavaPluginConvention> {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}
